#include <bits/stdc++.h>
using namespace std;
char c1,c2;
int a1,a2;
int main(){
    cin>>c1>>c2;
    cin>>a1>>a2;
        if(a1==a2){
            for(int i=0; i<(a1+a2)/2; i++){
                    cout<<c1<<c2;
            }
        }
        else if(a1==a2+1){
            for(int i=0; i<(a1+a2)/2; i++){
                    cout<<c1<<c2;
            }
        }
        else if(a2==a1+1){
            for(int i=0; i<(a1+a2)/2; i++){
                    cout<<c2<<c1;
            }
        }
        else{
            cout<<"nemoguce";
        }
    return 0;
}